pydo.nfs.delete_access_point()

Generated on 7 Jul 2026 from pydo version v0.39.0

Usage

client.nfs.delete_access_point(
    access_point_id="becd9f04-8afa-4ccd-b03e-9676447df603",
)
Returns JSONRaises HttpResponseError

Description

To delete an NFS access point, send a DELETE request to /v2/nfs/access_points/{access_point_id}.

A successful request will soft-delete the access point and return the deleted access point with status ACCESS_POINT_DELETED and an action object indicating the delete operation.

The default access point (is_default: true) cannot be deleted. Access points already in ACCESS_POINT_DELETED or ACCESS_POINT_FAILED status return 400 Bad Request.

Parameters

access_point_id string required

The unique identifier of the NFS access point.

Response Example

Show Response Example
{
  "access_point": {
    "id": "7659ce91-354d-4f61-9cda-ae2c7feb61d9",
    "name": "other-vpc",
    "share_id": "baf4827c-6fa9-456f-9dbd-9ddfcacd0720",
    "path": "/other-vpc",
    "vpc_id": "3f34cdb2-1e4f-4100-b5c7-f55f2762085f",
    "status": "ACCESS_POINT_DELETED",
    "is_default": false,
    "created_at": "2026-06-25T08:11:12Z",
    "updated_at": "2026-06-25T08:14:14Z",
    "access_policy": {
      "anonuid": 65534,
      "anongid": 65534,
      "protocols": [
        "NFS4",
        "NFS"
      ],
      "squash_config": "ROOT_SQUASH",
      "identity_enforcement_enabled": false
    }
  },
  "action": {
    "id": "3fa0d618-6f8b-4245-9c0f-e16f9e295949",
    "region_slug": "s2r1",
    "resource_id": "7659ce91-354d-4f61-9cda-ae2c7feb61d9",
    "resource_type": "SHARE",
    "type": "DELETE_ACCESS_POINT",
    "status": "IN_PROGRESS",
    "started_at": "2026-06-25T08:14:14Z"
  }
}

More Information

See /v2/nfs/access_points/{access_point_id} in the API reference for additional detail on responses, headers, parameters, and more.

We can't find any results for your search.

Try using different keywords or simplifying your search terms.